Package org.apache.avro

# Class SchemaValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.avro.SchemaValidationException

All Implemented Interfaces:
  `Serializable`

public class SchemaValidationException extends Exception
Thrown when `SchemaValidator` fails to validate a schema.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SchemaValidationException(Schema reader, Schema writer)`
`SchemaValidationException(Schema reader, Schema writer, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SchemaValidationException

public SchemaValidationException(Schema reader, Schema writer)

### SchemaValidationException

public SchemaValidationException(Schema reader, Schema writer, Throwable cause)